package Visual_DVM_2021.Passes.Server;
import Common.Database.DBObject;
import Common.Database.Database;
import Repository.RepositoryServer;
public abstract class ServerObjectPass <S extends RepositoryServer, D extends DBObject> extends RepositoryPass<S,D>{
    protected Class<D> d; //класс объектов.
    //---
    public ServerObjectPass(S server_in, Class<D> d_in) {
        super(server_in);
        d = d_in;
    }
    //--
    @Override
    public String getButtonText() {
        return "";
    }
    //--
    protected Database getDb() {
        return server.db;
    }
    @Override
    protected void performFinish() throws Exception {
        super.performFinish();
        passes.get(getDb().getSynchronizePassCode()).Do();
    }
    //-
    public boolean fillObjectFields() throws Exception {
        return getDb().tables.get(d).ShowAddObjectDialog(target);
    }
}
